summaryrefslogtreecommitdiffstats
path: root/academic/gcompris-qt/gcompris-qt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/gcompris-qt/gcompris-qt.SlackBuild')
-rw-r--r--academic/gcompris-qt/gcompris-qt.SlackBuild104
1 files changed, 104 insertions, 0 deletions
diff --git a/academic/gcompris-qt/gcompris-qt.SlackBuild b/academic/gcompris-qt/gcompris-qt.SlackBuild
new file mode 100644
index 0000000000..01ad6255dc
--- /dev/null
+++ b/academic/gcompris-qt/gcompris-qt.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for gcompris-qt
+
+# Copyright 2020-2024 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
+# TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gcompris-qt
+VERSION=${VERSION:-4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ ARCH="$( uname -m )"
+fi
+
+case "$ARCH" in
+ i?86)
+ ARCH=i586
+ SRCARCH=32
+ ;;
+ x86_64)
+ ARCH=x86_64
+ SRCARCH=64
+ ;;
+ *)
+ echo "Unsupported architecture"
+ exit 1
+ ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG/opt/gcompris-qt $OUTPUT
+cd $PKG/opt/gcompris-qt
+
+sh $CWD/$PRGNAM-$VERSION-Linux${SRCARCH}.sh \
+ --prefix=$PKG/opt/gcompris-qt \
+ --exclude-subdir \
+ --skip-license
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find -L $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m644 $CWD/gcompris-qt.desktop \
+ $PKG/usr/share/applications/gcompris-qt.desktop
+
+install -D -m644 $CWD/gcompris-qt.png \
+ $PKG/usr/share/icons/hicolor/256x256/apps/gcompris-qt.png
+
+install -D -m755 $CWD/gcompris-qt $PKG/usr/bin/gcompris-qt
+
+# move this here to catch anything that may not have proper ownership
+chown -R root:root $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE